summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author David Somero <dsomero@hotmail.com>2010-05-12 23:28:21 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:28:21 +0200
commit1d0648b6256561d2c47d65644768de0dcb288100 (patch)
tree5a25fdc66c58a0e969e65a95d768141660742350 /desktop
parentf1e9ac521a758c223ef5dc7e86bce8bd75859079 (diff)
downloadslackbuilds-1d0648b6256561d2c47d65644768de0dcb288100.tar.gz
slackbuilds-1d0648b6256561d2c47d65644768de0dcb288100.tar.xz
desktop/q4wine: Added to 12.2 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/q4wine/README3
-rw-r--r--desktop/q4wine/doinst.sh4
-rw-r--r--desktop/q4wine/q4wine.SlackBuild94
-rw-r--r--desktop/q4wine/q4wine.info8
-rw-r--r--desktop/q4wine/slack-desc19
5 files changed, 128 insertions, 0 deletions
diff --git a/desktop/q4wine/README b/desktop/q4wine/README
new file mode 100644
index 0000000000..59c773033a
--- /dev/null
+++ b/desktop/q4wine/README
@@ -0,0 +1,3 @@
+qt4wine (Qt4 GUI for wine)
+
+This requires icoutils.
diff --git a/desktop/q4wine/doinst.sh b/desktop/q4wine/doinst.sh
new file mode 100644
index 0000000000..65fd352418
--- /dev/null
+++ b/desktop/q4wine/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/desktop/q4wine/q4wine.SlackBuild b/desktop/q4wine/q4wine.SlackBuild
new file mode 100644
index 0000000000..4416635150
--- /dev/null
+++ b/desktop/q4wine/q4wine.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for qt4wine
+
+# Copyright 2009 David Somero <dsomero@hotmail.com> Athens,TN USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=q4wine
+VERSION=${VERSION:-0.112_r1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCVERSION=$(echo $VERSION | tr _ -)
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVERSION
+tar xzvf $CWD/q4wine-$SRCVERSION.tar.gz
+cd $PRGNAM-$SRCVERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+
+( cd build
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} ..
+
+ make
+ make install DESTDIR=$PKG
+)
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL LICENSE README changelog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/q4wine/q4wine.info b/desktop/q4wine/q4wine.info
new file mode 100644
index 0000000000..ef29eca3e2
--- /dev/null
+++ b/desktop/q4wine/q4wine.info
@@ -0,0 +1,8 @@
+PRGNAM="q4wine"
+VERSION="0.112_r1"
+HOMEPAGE="http://sourceforge.net/projects/q4wine"
+DOWNLOAD="http://downloads.sourceforge.net/q4wine/q4wine-0.112-r1.tar.gz"
+MD5SUM="162d4cf15609775591c8f4f7c9759551"
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="rworkman"
diff --git a/desktop/q4wine/slack-desc b/desktop/q4wine/slack-desc
new file mode 100644
index 0000000000..b59f3ef8f3
--- /dev/null
+++ b/desktop/q4wine/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+q4wine: q4wine (Qt4 GUI for wine)
+q4wine:
+q4wine: Q4Wine is an qt4 GUI for W.I.N.E. It will helps you to
+q4wine: manage wine prefixes and installed applications.
+q4wine:
+q4wine: Homepage: http://sourceforge.net/projects/q4wine
+q4wine:
+q4wine:
+q4wine:
+q4wine:
+q4wine: